version: "3.7"

services:
  server:
    image: adguard/adguardhome:v0.107.74@sha256:f29c58a91f79387cbbbb042e140814f58e830d457d44af03d662c8df43db9dea
    # переопределить команду по умолчанию, чтобы установить веб-адрес на порт 8095, чтобы избежать конфликта с Thunderhub
    # команда из Dockerfile: https://github.com/AdguardTeam/AdGuardHome/blob/master/docker/Dockerfile
    command: ["--no-check-update", "-c", "/opt/adguardhome/conf/AdGuardHome.yaml", "-w", "/opt/adguardhome/work", "--web-addr", "0.0.0.0:8095"]
    restart: on-failure
    network_mode: host
    volumes:
      - ${APP_DATA_DIR}/data/work:/opt/adguardhome/work
      - ${APP_DATA_DIR}/data/conf:/opt/adguardhome/conf
    cap_add:
      - NET_ADMIN
